librime: rime::Editor Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Types | Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
rime::Editor Class Reference

`#include <editor.h>`

Inheritance diagram for rime::Editor:
[legend]
Collaboration diagram for rime::Editor:
[legend]

## Public Types
typedef ProcessResult | CharHandler(Context *ctx, int ch)
using | CharHandlerPtr = ProcessResult (Editor::*)(Context* ctx, int ch)
Public Types inherited from rime::Class< Processor, const Ticket & >
using | Initializer
Public Types inherited from rime::KeyBindingProcessor< Editor >
enum | FallbackOptions
typedef bool | Handler(Context *ctx)
using | HandlerPtr

## Public Member Functions
| Editor (const Ticket &ticket, bool auto_commit)
ProcessResult | ProcessKeyEvent (const KeyEvent &key_event)
Public Member Functions inherited from rime::Processor
| Processor (const Ticket &ticket)
virtual | ~Processor ()=default
string | name_space () const
Public Member Functions inherited from rime::KeyBindingProcessor< Editor >
| KeyBindingProcessor (ActionDef *action_definitions)
ProcessResult | ProcessKeyEvent (const KeyEvent &key_event, Context *ctx, int keymap_selector=0, int fallback_options=FallbackOptions::None)
void | LoadConfig (Config *config, const string &section, int kemap_selector=0)

## Public Attributes
Handler | Confirm
Handler | ToggleSelection
Handler | CommitComment
Handler | CommitScriptText
Handler | CommitRawInput
Handler | CommitComposition
Handler | RevertLastEdit
Handler | BackToPreviousInput
Handler | BackToPreviousSyllable
Handler | DeleteCandidate
Handler | DeleteChar
Handler | CancelComposition
CharHandler | DirectCommit
CharHandler | AddToInput

## Protected Member Functions
void | LoadConfig ()
Protected Member Functions inherited from rime::KeyBindingProcessor< Editor >
Keymap & | get_keymap (int keymap_selector=0)
bool | Accept (const KeyEvent &key_event, Context *ctx, Keymap &keymap)

## Protected Attributes
CharHandlerPtr | char_handler_ = nullptr
Protected Attributes inherited from rime::Processor
Engine * | engine_
string | name_space_

## Additional Inherited Members
Static Public Member Functions inherited from rime::Class< Processor, const Ticket & >
static Component * | Require (const string &name)
Static Public Attributes inherited from rime::KeyBindingProcessor< Editor >
static const ActionDef | kActionNoop

## Member Typedef Documentation

## ◆ CharHandler

typedef ProcessResult rime::Editor::CharHandler(Context *ctx, int ch)

## ◆ CharHandlerPtr

using rime::Editor::CharHandlerPtr = ProcessResult (Editor::*)(Context* ctx, int ch)

## Constructor & Destructor Documentation

## ◆ Editor()

rime::Editor::Editor | ( | const Ticket & | ticket,
|  | bool | auto_commit )

## Member Function Documentation

## ◆ LoadConfig()

void rime::Editor::LoadConfig | ( |  | ) |
| protected

## ◆ ProcessKeyEvent()

ProcessResult rime::Editor::ProcessKeyEvent | ( | const KeyEvent & | key_event | ) |
| virtual

Reimplemented from rime::Processor.

## Member Data Documentation

## ◆ AddToInput

ProcessResult rime::Editor::AddToInput

## ◆ BackToPreviousInput

bool rime::Editor::BackToPreviousInput

## ◆ BackToPreviousSyllable

bool rime::Editor::BackToPreviousSyllable

## ◆ CancelComposition

bool rime::Editor::CancelComposition

## ◆ char_handler_

CharHandlerPtr rime::Editor::char_handler_ = nullptr
| protected

## ◆ CommitComment

bool rime::Editor::CommitComment

## ◆ CommitComposition

bool rime::Editor::CommitComposition

## ◆ CommitRawInput

bool rime::Editor::CommitRawInput

## ◆ CommitScriptText

bool rime::Editor::CommitScriptText

## ◆ Confirm

bool rime::Editor::Confirm

## ◆ DeleteCandidate

bool rime::Editor::DeleteCandidate

## ◆ DeleteChar

bool rime::Editor::DeleteChar

## ◆ DirectCommit

ProcessResult rime::Editor::DirectCommit

## ◆ RevertLastEdit

bool rime::Editor::RevertLastEdit

## ◆ ToggleSelection

bool rime::Editor::ToggleSelection

The documentation for this class was generated from the following files:

- editor.h
- editor.cc